Index: resources/styles/default/lines
===================================================================
--- resources/styles/default/lines	(revision 3891)
+++ resources/styles/default/lines	(working copy)
@@ -70,13 +70,6 @@
   {	name '${exit_hint} ${dest_hint}' | 	'${dest_hint}' | 		'${exit_hint}' }
 # end of rules for process-exits and process-destination options
 
-# Set highway names to include the reference if there is one
-highway=motorway { name '${ref|highway-symbol:hbox} ${name}' | '${ref|highway-symbol:hbox}' | '${name}' }
-highway=trunk {name '${ref|highway-symbol:hbox} ${name}' | '${ref|highway-symbol:hbox}' | '${name}'; addlabel '${name} (${ref})' }
-highway=primary {name '${ref|highway-symbol:box} ${name}' | '${ref|highway-symbol:box}' | '${name}'; addlabel '${name} (${ref})' }
-highway=secondary | highway=tertiary {name '${ref|highway-symbol:oval} ${name}' | '${ref|highway-symbol:oval}' | '${name}'; addlabel '${name} (${ref})' }
-highway=* {name '${name}' | '${ref}' }
-
 # Flag paved roads
 highway=* & (surface=asphalt | surface=paved | surface=sett | 
     surface=concrete | surface=concrete:lanes | surface=concrete:plates | 
@@ -235,6 +228,11 @@
 
 name=* { name '${name}' }
 
+# if name is empty and ref is fillled, add highway shield code 
+(highway=motorway | highway=trunk) & ref=* { name '${ref|highway-symbol:hbox}'}
+highway=primary & ref=* { name  '${ref|highway-symbol:box}' }
+(highway=secondary | highway=tertiary) & ref=* { name '${ref|highway-symbol:oval}'}
+
 highway=* & ref=* { addlabel '${ref}' }
 highway=* & int_ref=* { addlabel '${int_ref}' }
 highway=* & nat_ref=* { addlabel '${nat_ref}' }
